# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(Exporter.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(sigtrap.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%define         realname Bucardo
Name:           bucardo
Version:        4.5.0
Release:        alt2_3
Summary:        Postgres replication system for both multi-master and multi-slave operations

Group:          Databases
License:        BSD
URL:            http://bucardo.org/
Source0:        http://bucardo.org/downloads/Bucardo-%{version}.tar.gz

Source1: Bucardo-%{version}.tar.gz.asc
Source2: master-master-replication-example.txt


BuildArch:     noarch

BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(DBI.pm)
BuildRequires:  perl(DBD/Pg.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(Sys/Hostname.pm)
BuildRequires:  perl(Sys/Syslog.pm)
BuildRequires:  perl(Net/SMTP.pm)
# available from fedora 10
BuildRequires:  perl(DBIx/Safe.pm)

Requires:  perl(ExtUtils/MakeMaker.pm)

Requires:  perl(DBI.pm)
Requires:  perl(DBD/Pg.pm)
Requires:  perl(DBIx/Safe.pm)
Requires:  perl(IO/Handle.pm)
Requires:  perl(Sys/Hostname.pm)
Requires:  perl(Sys/Syslog.pm)
Requires:  perl(Net/SMTP.pm)

#testsuite
Requires:  perl(Test/Simple.pm)
Requires:  perl(Test/Harness.pm)
Source44: import.info

%description
Bucardo is an asynchronous PostgreSQL replication system, allowing for both
multi-master and multi-slave operations.It was developed at Backcountry.com
primarily by Greg Sabino Mullane of End Point Corporation.

%prep
%setup -q -n %{realname}-%{version}
# perl.req fails on -*-cperl-*-
sed -i -e 's,-- -\*-cperl-\*-,,' Bucardo.pm


%build

%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor

make %{?_smp_mflags}


%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} +
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

sed -i -e '1d;2i#!/usr/bin/perl' bucardo_ctl

rm -f $RPM_BUILD_ROOT/%{_bindir}/bucardo_ctl
install -Dp -m 755 bucardo_ctl $RPM_BUILD_ROOT/%{_sbindir}/bucardo_ctl
mkdir -p $RPM_BUILD_ROOT/%{_var}/run/bucardo

install -Dp -m 644 %{SOURCE2} .




%files
%doc bucardo_ctl.html Bucardo.pm.html Changes
%doc INSTALL LICENSE README SIGNATURE TODO
%doc master-master-replication-example.txt
%{perl_vendor_privlib}/*
%{_mandir}/man1/*
%{_sbindir}/bucardo_ctl
%{_datadir}/bucardo/bucardo.schema
%dir %{_var}/run/bucardo

%changelog
* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 4.5.0-alt2_3
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 4.5.0-alt1_3
- new release

* Thu Sep 04 2008 Mikhail Pokidko <pma@altlinux.org> 3.0.9-alt2
- sisyphus_check fixes

* Wed May 14 2008 Mikhail Pokidko <pma@altlinux.org> 3.0.9-alt1
- Initial ALT build
  + TODO: move .bucardorc to /etc/

